apiVersion: apps/v1
kind: Deployment
metadata:
  name: multi-buntu
spec:
  selector:
    matchLabels:
      app: multi-buntu
  replicas: 1
  template:
    metadata:
      labels:
        app: multi-buntu
    spec:
      containers:
        - name: ubuntu1
          image: ubuntu
          ports:
            - name: http-port
              containerPort: 80
          command: ["/bin/bash"]
          tty: true
          stdin: true
        - name: ubuntu2
          image: ubuntu
          ports:
            - name: http2-port
              containerPort: 8080
          command: ["/bin/bash"]
          tty: true
          stdin: true
      dnsPolicy: "ClusterFirst"
---
apiVersion: v1
kind: Service
metadata:
  name: multi-buntu
  namespace: default
spec:
  ports:
  - port: 80
    targetPort: 80
  selector:
    app: multi-buntu
  type: LoadBalancer

